%define module aiohttp-cors

Name:           python-%{module}
Version:        0.8.1
Release:        %mkrel 1
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/aio-libs/aiohttp-cors
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
for aiohttp asyncio-powered asynchronous HTTP server.

%package -n python3-%{module}
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# For test suite
BuildRequires:  python3-pytest
BuildRequires:  python3-aiohttp >= 1.1
BuildRequires:  python3-pytest-aiohttp

%description -n python3-%{module}
aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
for aiohttp asyncio-powered asynchronous HTTP server.

%prep
%autosetup -n %{module}-%{version} -p1

# remove non-essential pytest plugins
sed -i '/pytest-cov/d' setup.py
sed -i '/pytest-pylint/d' setup.py

# Don't treat warnings as errors, that's what upstream testing is for
# In 0.7.0, nothing else is in this config
rm pytest.ini

# Don't add --cov options to pytest
# In 0.7.0, nothing else is in this config
rm setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files aiohttp_cors

%check
%{python3} -m pytest -v --ignore tests/integration/test_real_browser.py

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst


%changelog
* Wed Jun 04 2025 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2188053
- new version: 0.8.1
- switch to pyproject

* Sun Mar 02 2025 wally <wally> 0.7.0-6.mga10
+ Revision: 2158055
- rebuild for python3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 0.7.0-5.mga10
+ Revision: 2022846
- rebuild for py3.12

* Sat Jun 04 2022 umeabot <umeabot> 0.7.0-4.mga9
+ Revision: 1861200
- Mageia 9 Mass Rebuild

* Mon Mar 22 2021 daviddavid <daviddavid> 0.7.0-2.mga9
+ Revision: 1707538
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1669501
- initial package python-aiohttp-cors (needed for python-black)

